<template>
  <el-button
    type="plain"
    :disabled="disabled"
    class="min-w-[80px]"
    style="
      background-color: transparent;
      --el-border-radius-base: 1rem;
      border-color: var(--primary);
      color: var(--primary);
      font-size: 12px;
    "
    @click="$emit('click')"
    >{{ $t("cancel") }}</el-button
  >
</template>

<script setup lang="ts">
defineEmits<{
  (e: "click"): void;
}>();
defineProps<{
  disabled?: boolean;
}>();
</script>

<style scoped></style>
